avcodec/aacdec_template: add more checks to make sure only 22.2 gets to 22.2